.TH edoc_lib 3 "edoc  0.7.6.4" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
edoc_lib \- Utility functions for EDoc\&.
.SH DESCRIPTION
.LP
Utility functions for EDoc\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIedoc_env()\fR:

.RS 4
.LP
Environment information needed by EDoc for generating references\&. The data representation is not documented\&. 
.LP

.RE
.TP 4
.B
\fIinfo() = #info{name=string(), mail=string(), uri=string()}\fR:

.RE
.SH EXPORTS
.LP
.B
copy_file(From, To) -> term()
.br
.RS
.RE
.LP
.B
count(X, Xs) -> term()
.br
.RS
.RE
.LP
.B
datestr(X1) -> term()
.br
.RS
.RE
.LP
.B
escape_uri(Cs) -> term()
.br
.RS
.RE
.LP
.B
filename(T) -> term()
.br
.RS
.RE
.LP
.B
find_doc_dirs() -> term()
.br
.RS
.RE
.LP
.B
find_file(Ps, Pkg, Name) -> term()
.br
.RS
.RE
.LP
.B
find_sources(Path, Opts) -> term()
.br
.RS
.RE
.LP
.B
find_sources(Path, Pkg, Opts) -> term()
.br
.RS
.LP
See edoc:run/3 for a description of the options \fIsubpackages\fR, \fIsource_suffix\fR and \fIexclude_packages\fR\&.
.RE
.LP
.B
get_doc_env(Options::proplist()) -> edoc_env()
.br
.RS
.LP
Equivalent to get_doc_env([], [], [], Opts)\&.
.RE
.LP
.B
get_doc_env(App, Packages, Modules, Options::proplist()) -> edoc_env()
.br
.RS
.TP
Types
App = [] | atom()
.br
Packages = [atom()]
.br
Modules = [atom()]
.br
[term()]
.br
.RE
.RS
.LP
Creates an environment data structure used by parts of EDoc for generating references, etc\&. See edoc:run/3 for a description of the options \fIfile_suffix\fR, \fIapp_default\fR and \fIdoc_path\fR\&. 
.LP
\fISee also:\fR edoc:get_doc/3, edoc_extract:source/4\&.
.RE
.LP
.B
get_first_sentence(Es) -> term()
.br
.RS
.RE
.LP
.B
is_name(Cs) -> term()
.br
.RS
.RE
.LP
.B
is_relative_uri(Cs) -> term()
.br
.RS
.RE
.LP
.B
is_space(Cs) -> term()
.br
.RS
.RE
.LP
.B
join_uri(Base, Path) -> term()
.br
.RS
.RE
.LP
.B
lines(Cs) -> term()
.br
.RS
.RE
.LP
.B
parse_contact(S, L) -> term()
.br
.RS
.LP
EDoc "contact information" parsing\&. This is the type of the content in e\&.g\&. @author tags\&.
.RE
.LP
.B
parse_expr(S, L) -> term()
.br
.RS
.LP
EDoc Erlang expression parsing\&. For parsing things like the content of @equiv tags, and strings denoting file names, e\&.g\&. in @headerfile\&. Also used by edoc_run\&.
.RE
.LP
.B
read_info_file(Dir) -> term()
.br
.RS
.RE
.LP
.B
run_doclet(Fun, Opts) -> term()
.br
.RS
.LP
See edoc:run/3 for a description of the \fIdoclet\fR option\&.
.RE
.LP
.B
run_layout(Fun, Opts) -> term()
.br
.RS
.LP
See edoc:layout/2 for a description of the \fIlayout\fR option\&.
.RE
.LP
.B
segment(Es, N) -> term()
.br
.RS
.RE
.LP
.B
simplify_path(P) -> term()
.br
.RS
.RE
.LP
.B
split_at(Cs, K) -> term()
.br
.RS
.RE
.LP
.B
split_at_space(Cs) -> term()
.br
.RS
.RE
.LP
.B
split_at_stop(Cs) -> term()
.br
.RS
.RE
.LP
.B
strip_space(Cs) -> term()
.br
.RS
.RE
.LP
.B
timestr(X1) -> term()
.br
.RS
.RE
.LP
.B
to_label(Cs) -> term()
.br
.RS
.RE
.LP
.B
transpose(Xss) -> term()
.br
.RS
.RE
.LP
.B
try_subdir(Dir, Subdir) -> term()
.br
.RS
.RE
.LP
.B
unique(Xs) -> term()
.br
.RS
.RE
.LP
.B
uri_get(Path) -> term()
.br
.RS
.RE
.LP
.B
write_file(Text::deep_string(), Dir::filename() (see module edoc), Name::filename() (see module edoc)) -> ok
.br
.RS
.LP
Write the given \fIText\fR to the file named by \fIName\fR in directory \fIDir\fR\&. If the target directory does not exist, it will be created\&.
.RE
.LP
.B
write_file(Text::deep_string(), Dir::filename() (see module edoc), Name::filename() (see module edoc), Package::atom() | string()) -> ok
.br
.RS
.LP
Like write_file/3, but adds path components to the target directory corresponding to the specified package\&.
.RE
.LP
.B
write_info_file(App, Packages, Modules, Dir) -> term()
.br
.RS
.RE
.SH SEE ALSO
.LP
edoc
